com.pixelmed.scpecg

## Class Section7

- java.lang.Object
- - com.pixelmed.scpecg.Section
  - - com.pixelmed.scpecg.Section7

    public class Section7
    extends Section

A class to encapsulate the SCP-ECG Global Measurements section.

### Field Summary

### Fields inherited from class com.pixelmed.scpecg.Section

`bytesRead, header, sectionBytesRemaining, tree`

### Constructor Summary

Constructors
Constructor and Description
`Section7(SectionHeader header)`

### Method Summary

Methods
`protected static void` `addNodeOfDecimalWithUndefinedOrMissingValues(SCPTreeRecord parent, java.lang.String name, int value)` Add a tree node with a numeric value as decimal string, with potentially udnefined or missing values.
`static java.lang.String` `describeUndefinedOrMissingValues(int i)` Get a description of measurement values that may have undefined or missing values.
`int` `getAtrialRate()`
`int` `getAveragePPInterval()`
`int` `getAverageRRInterval()`
`int` `getCorrectedQTInterval()`
`int` `getHeartRateCorrectionFormula()`
`int` `getNumberOfBytesInTaggedFields()`
`int` `getNumberOfPacemakerSpikes()`
`int` `getNumberOfQRSComplexes()`
`int` `getNumberOfQRSMeasurements()`
`int[]` `getPacemakerSpikeAmplitude()`
`int[]` `getPacemakerSpikeLocation()`
`int[]` `getPacemakerSpikePulseWidth()`
`int[]` `getPacemakerSpikeSource()`
`int[]` `getPacemakerSpikeTriggerIndex()`
`int[]` `getPacemakerSpikeType()`
`int[]` `getPAxis()`
`int[]` `getPOffset()`
`int[]` `getPOnset()`
`int[]` `getQRSAxis()`
`int[]` `getQRSOffset()`
`int[]` `getQRSOnset()`
`int[]` `getQRSType()`
`java.lang.String` `getSectionName()` Get a string name for this section.
`int[]` `getTAxis()`
`int[]` `getTOffset()`
`SCPTreeRecord` `getTree(SCPTreeRecord parent)` Get the contents of the section as a tree for display, constructing it if not already done.
`int` `getVentricularRate()`
`long` `read(BinaryInputStream i)` Read the remainder of the section from a stream.
`java.lang.String` `toString()` Dump the section as a `String`.
`java.lang.String` `validate()` Validate the section against the standard.

### Methods inherited from class com.pixelmed.scpecg.Section

`addNodeOfDecimalAndHex, addNodeOfDecimalWithMissingValues, addSectionHeaderToTree, describeMissingValues, getSectionHeader, getTree, getValueForSectionNodeInTree, makeSection, makeStringFromByteArrayRemovingAnyNulls, skipToEndOfSectionIfNotAlreadyThere`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Section7

    public Section7(SectionHeader header)

### Method Detail

#### getSectionName

    public java.lang.String getSectionName()

Get a string name for this section.

Overrides:
  `getSectionName` in class `Section`
Returns:
  a string name for this section

#### getNumberOfQRSMeasurements

    public int getNumberOfQRSMeasurements()

#### getNumberOfPacemakerSpikes

    public int getNumberOfPacemakerSpikes()

#### getAverageRRInterval

    public int getAverageRRInterval()

#### getAveragePPInterval

    public int getAveragePPInterval()

#### getPOnset

    public int[] getPOnset()

#### getPOffset

    public int[] getPOffset()

#### getQRSOnset

    public int[] getQRSOnset()

#### getQRSOffset

    public int[] getQRSOffset()

#### getTOffset

    public int[] getTOffset()

#### getPAxis

    public int[] getPAxis()

#### getQRSAxis

    public int[] getQRSAxis()

#### getTAxis

    public int[] getTAxis()

#### getPacemakerSpikeLocation

    public int[] getPacemakerSpikeLocation()

#### getPacemakerSpikeAmplitude

    public int[] getPacemakerSpikeAmplitude()

#### getPacemakerSpikeType

    public int[] getPacemakerSpikeType()

#### getPacemakerSpikeSource

    public int[] getPacemakerSpikeSource()

#### getPacemakerSpikeTriggerIndex

    public int[] getPacemakerSpikeTriggerIndex()

#### getPacemakerSpikePulseWidth

    public int[] getPacemakerSpikePulseWidth()

#### getNumberOfQRSComplexes

    public int getNumberOfQRSComplexes()

#### getQRSType

    public int[] getQRSType()

#### getVentricularRate

    public int getVentricularRate()

#### getAtrialRate

    public int getAtrialRate()

#### getCorrectedQTInterval

    public int getCorrectedQTInterval()

#### getHeartRateCorrectionFormula

    public int getHeartRateCorrectionFormula()

#### getNumberOfBytesInTaggedFields

    public int getNumberOfBytesInTaggedFields()

#### read

    public long read(BinaryInputStream i)
              throws java.io.IOException

Description copied from class: `Section`

Read the remainder of the section from a stream.

Overrides:
  `read` in class `Section`
Parameters:
  `i` - the input stream
Returns:
  the number of bytes read
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Description copied from class: `Section`

Dump the section as a `String`.

Overrides:
  `toString` in class `Section`
Returns:
  the section as a `String`

#### validate

    public java.lang.String validate()

Description copied from class: `Section`

Validate the section against the standard.

Overrides:
  `validate` in class `Section`
Returns:
  the validation results as a `String`

#### describeUndefinedOrMissingValues

    public static java.lang.String describeUndefinedOrMissingValues(int i)

Get a description of measurement values that may have undefined or missing values.

The undefined value of `999` is specifically described by the standard.

The missing values described in Section 5.10.2 as being defined in the CSE Project are not described as being appropriate for this section, but have been encountered in this use.

Parameters:
  `i` - the numeric value that may be missing
Returns:
  a description of the type of missing value

#### addNodeOfDecimalWithUndefinedOrMissingValues

    protected static void addNodeOfDecimalWithUndefinedOrMissingValues(SCPTreeRecord parent,
                                                    java.lang.String name,
                                                    int value)

Add a tree node with a numeric value as decimal string, with potentially udnefined or missing values.

Parameters:
  `parent` - the node to which to add this new node as a child
  `name` - the name of the new node
  `value` - the numeric value of the new node

#### getTree

    public SCPTreeRecord getTree(SCPTreeRecord parent)

Get the contents of the section as a tree for display, constructing it if not already done.

Overrides:
  `getTree` in class `Section`
Parameters:
  `parent` - the node to which this section is to be added if it needs to be created de novo
Returns:
  the section as a tree